Subject: [PATCH V2 5/5] ARM: remove #gpio-ranges-cells property

From: [email-masked] (Stephen Warren)
Date: Mon, 15 Jul 2013 17:02:29 -0600

On 07/15/2013 01:34 PM, Rob Herring wrote:
> On 07/15/2013 01:40 PM, Stephen Warren wrote:
>> From: Stephen Warren <[email-masked]>
>>
>> This property is no longer required by the GPIO binding. Remove it.
> 
> Won't this break compatibility with older kernel? It is one thing to
> deprecate, but removal is another. If the relevant maintainers don't
> care, then I guess it is fine.

Yes.

I had originally hoped this could sneak in late for 3.11, but I suppose
it's too late now. vf610.dtsi is a new file in 3.11 so has no legacy to
protect.

Admittedly, the #gpio-cells property was added into the SPEAr files in 3.10.